GET

attendancesessions API

Retrieve and manage attendancesessions records from the Apps4Edu sync database.

Endpoint Path

GET /api/attendancesessions

CURL Example

curl "https://api.apps4education.co.uk/api/attendancesessions?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
studentID int
year varchar
lea varchar
leaDescription text
schoolName varchar
establishmentNumber varchar
possible int
attended int
authorised int
unauthorised int
attendanceStartDate datetime
attendanceMarks text
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "studentID": 101,
      "year": "example_value",
      "lea": "example_value",
      "leaDescription": "example_value",
      "schoolName": "example_value",
      "establishmentNumber": true,
      "possible": "example_value",
      "attended": "example_value",
      "authorised": true,
      "unauthorised": true,
      "attendanceStartDate": "example_value",
      "attendanceMarks": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.